html,
body {
    height: 100%;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > .container {
    padding: 70px 15px 20px;
}

.container {
    width: 1250px;
}
.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding: 15px;
    border: none;
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
}

.nav > li > form > button.logout:focus {
    outline: none;
}

textarea {
    resize: none;
}
form div.required label.control-label:after {
  content: " * ";
  color: red;
}

.sizer {
    display: inline-block;
    padding-left: 0;
    border-radius: 4px;
}
.sizer > li {
    display: inline;
}
.sizer > li > a {
    position: relative;
    float: left;
    padding: 6px 12px;
    margin-left: -1px;
    color: #337ab7;
    border: 1px solid #ddd;
    text-decoration: none;
}
.sizer > li > a:hover {
    color: #23527c;
    background-color: #eee;
    border-color: #ddd;
}
.sizer > li:first-child > a {
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}
.sizer > li:last-child > a {
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}
.sizer > .active > a,
.sizer > .active > a:hover {
    color: #fff;
    cursor: default;
    background-color: #337ab7;
    border-color: #337ab7;
}
.cnt-inline-block {
    display: inline-block;
}
.head-btns {
    position: relative;
    top: -48px;
    left: 250px;
}
table.table > tbody > tr.tr-default,
table.table > tbody > tr > td.tr-default,
.cnt-default,
.tab-btn-default {
    background-color: #fff;
}
.cnt-default-font {
    color: #000;
}
table.table > tbody > tr.tr-active,
table.table > tbody > tr > td.tr-active,
.cnt-active,
.cnt-active-li > a,
.cnt-active-li.active > a,
.tab-btn-active {
    background-color: #449D44 !important;
}
.cnt-active-font {
    color: #449D44;
}
table.table > tbody > tr.tr-one-day,
table.table > tbody > tr > td.tr-one-day,
.cnt-one-day {
    background-color: #dcd974;
}
table.table > tbody > tr.tr-today
{
    background-color: #EBB142;
}
.cnt-one-day-font {
    color: #dcd974;
}
table.table > tbody > tr.tr-two-weeks,
table.table > tbody > tr > td.tr-two-weeks,
.cnt-two-weeks,
.cnt-two-weeks-li > a {
    background-color: #97CA97;
}
.cnt-two-weeks-font {
    color: #97CA97;
}
table.table > tbody > tr.tr-cancel,
table.table > tbody > tr > td.tr-cancel,
table.table > tfoot > tr > td.tr-cancel,
table.table > tbody > tr > th.tr-cancel,
.cnt-cancel,
.cnt-cancel-li > a,
.cnt-cancel-li.active > a,
span.tr-cancel,
.tab-btn-cancel {
    background-color: #FFC4C4 !important;
}
.cnt-cancel-font {
    color: #FFC4C4;
}
table.table > tbody > tr.tr-expiring,
table.table > tbody > tr > td.tr-expiring,
.cnt-expiring,
.cnt-expiring-li > a,
span.tr-expiring {
    background-color: #eee832;
}
.cnt-expiring-font {
    color: #eee832;
}
table.table > tbody > tr.tr-expired,
table.table > tbody > tr > td.tr-expired,
.cnt-expired {
    background-color: #B9B9B9;
}
.cnt-expired-font {
    color: #B9B9B9;
}
.cnt-checked-font {
    color: #def7d3;
}
table.table > tbody > tr.tr-osago-weeks {
    background-color: #97CA97;
}
table.table > tbody > tr.tr-new-comment {
    background-color: #eee;
}
table.table > tbody > tr.tr-company-cancel,
table.table > tbody > tr > td.tr-company-cancel,
span.tr-company-cancel
{
    background-color: #ddd;
}
.company-cancel-font {
    color: #ddd;
}
table.table > tbody > tr.tr-company-used,
table.table > tbody > tr > td.tr-company-used {
    background-color: #dbf5ff;
}
table.table > tbody > tr.tr-company-corrupt,
table.table > tbody > tr > td.tr-company-corrupt{
    background-color: #e2b0eb;
}

table.table > tbody > tr > td.td-prep {
    box-shadow: -6px 0 0 0 #FDC68C;
}
table.table > tbody > tr > td.td-revision {
    box-shadow: -6px 0 0 0 #F7941D;
}
table.table > tbody > tr > td.td-review {
    box-shadow: -6px 0 0 0 #00AEEF;
}
table.table > tbody > tr > td.td-payment {
    box-shadow: -6px 0 0 0 #FFFF00;
}
table.table > tbody > tr > td.td-completed {
    box-shadow: -6px 0 0 0 #37B44A;
}
table.table > tbody > tr > td.td-cancel {
    box-shadow: -6px 0 0 0 #EE1D24;
}
table.table > tbody > tr.tr-prep,
table.table > tbody > tr > td.td-prep-bkg,
table.table > tbody > tr > td.tr-prep,
.cnt-prep {
    background-color: #FDC68C;
}
.cnt-prep-font {
    color: #FDC68C;
}
table.table > tbody > tr.tr-revision,
table.table > tbody > tr > td.tr-revision,
table.table > tbody > tr > td.td-revision-bkg {
    background-color: #F7941D;
}
table.table > tbody > tr.tr-review,
table.table > tbody > tr > td.tr-review,
table.table > tbody > tr > td.td-review-bkg,
.cnt-review-li > a,
.cnt-review-li.active > a,
.tab-btn-review {
    background-color: #00AEEF !important;
}
table.table > tbody > tr > td.td-payment-bkg,
table.table > tbody > tr > td.tr-payment,
table.table > tbody > tr > th.tr-payment {
    background-color: #FFFF00 !important;
}
table.table > tbody > tr > td.td-completed-bkg,
span.td-completed-bkg {
    background-color: #37B44A;
}
table.table > tbody > tr.tr-asap,
table.table > tbody > tr > td.tr-asap,
table.table > tbody > tr > td.td-asap-bkg {
    background-color: #CA4FE0;
}
table.table > tbody > tr > td.td-cancel-bkg {
    background-color: #EE1D24;
}
table.table > tbody > tr > td.td-client-a-bkg,
table.table > tbody > tr > th.td-client-a-bkg,
table.table > tfoot > tr > td.td-client-a-bkg,
span.td-client-a-bkg {
    background-color: #def7d3 !important;
}

table.table-hover > tbody > tr:hover,
table.table-hover > tfoot > tr:hover {
    background-color: #f5f5f5;
}

.application-form .table > tbody > tr > td {
    vertical-align: middle;
}
.application-form .table > tbody > tr > td.for-all-td {
    text-align: center;
    padding-top: 28px;
}

.vehicle-number-fld { width: 108px; }
.vehicle-type-slct { width: 120px }
.vehicle-entrypass-type-slct { width: 108px; }
.vehicle-comment-txt { width: 200px; }

.app-action-btn {
    margin-top: 25px;
}
.lawyer-only-comment {
    border-color: #00AEEF;
    background-color: #EAEAEA;
}
.tox-statusbar__branding {
    display: none;
}
.badge {
    background-color: red;
}
.ready-chkbox {
    position: relative;
    top: 3px;
}
.field-entrypass-readyforsending > label {
    font-weight: 400;
}
/*.table-designed > thead > tr > th {
    background-color: #d6d6d6;
}
.table-designed {
    border-color: #000;
}*/
.table-designed > thead > tr > th,
.table-designed > tbody > tr > th,
.table-designed > tfoot > tr > th,
.table-designed > thead > tr > td,
.table-designed > tbody > tr > td,
.table-designed > tfoot > tr > td {
    /*border-color: #000;*/
    text-align: center;
}
/*.table-designed > thead > tr > th > a {
    color: #000;
}*/
.table-designed > tbody > tr > td > a {
    text-decoration: underline;
}
.table-designed > tbody > tr > td > a.no-underline {
    text-decoration: none;
}
.table-designed > tbody > tr > td > a.no-underline:hover {
    text-decoration: underline;
}
.last-serial-number {
    text-decoration: underline;
    color: #000;
}
.loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1030;
    display: none;
    background: rgba( 0, 0, 0, .5 ) url(../images/ajax-loader.gif) 50% 38% no-repeat;
    text-align: center;
    padding-top: 20%;
    color: #fff;
    font-weight: bold;
}
body.loading {
    overflow: hidden;   
}

body.loading .loader {
    display: block;
}
.search-vehicle {
    width: 95px;
    display: inline-block;
    height: 25px;
    margin-top: 13px;
}
.text-bold {
    font-weight: 700;
}
.text-danger {
    color: #EE1D24;
}
#entrypass-info-cnt .table {
    font-size: 12px;
}
#entrypass-info-cnt .table > thead > tr > th {
    width: 2%;
    max-width: 110px;
    white-space: normal;
}
.tooltip.bottom .tooltip-inner {
    background-color: red;
}
.tooltip.bottom .tooltip-arrow {
    border-bottom-color: red;
}
.tr-cancel .tooltip.right .tooltip-inner {
    background-color: #eee;
    color: #000;
    text-align: left;
}
.tr-cancel .tooltip.right .tooltip-arrow {
    border-bottom-color: #eee;
}
.noselect {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}
.application-event-index .all-events-lnk,
.application-event-new-index .all-events-lnk {
    display: inline-block;
    position: relative;
    left: 30px;
    top: -12px;
}
.plan-fact-index .plan-txt,
.plan-fact-index .plan-days-txt {
    width: 55px;
    margin: 0 auto;
}
.table-plan > thead > tr > th {
    width: 2%;
    max-width: 135px;
    white-space: normal;
    text-align: center;
}
.table-wrap-th > thead > tr > th {
    width: 2%;
    max-width: 135px;
    white-space: normal;
}
.table-plan > tbody > tr > td:not(:first-child),
.table-plan > tfoot > tr.footer-plan > td:not(:first-child) {
    text-align: center;
}
.table-plan > tbody > tr > td:first-child,
.table-plan > tfoot > tr.footer-plan > td:first-child {
    text-align: right;
}
.table-plan > tfoot > tr.footer-plan:first-child {
    font-weight: bold;
}
.nav > li > a {
    padding: 15px 6px;
}
.btn-search {
    color: #333;
    background-color: #d4d0c8;
    border-color: #d4d0c8;
}
.company-upd-fld {
    font-size: 12px;
}
.table-hover-bordered > tbody > tr:hover {
    font-weight: 600;
/*    border: 2px solid #666;*/
}
.table-chk-column tr td:first-child {
    position: relative;
    text-align: center;
}
.chk-column-lbl {
    font-weight: 400;
    display: block;
    position: absolute;
    left: 0px;
    right: 0px;
    bottom: 0px;
    top: 0px;
}
.stat-period-filter span:not(:last-child):after,
.stat-period-filter a:not(:last-child):after {
    content: " |";
}
.notChangeDateFrm label {
    font-weight: 400;
}
.highcharts-credits {
    display: none;
}
.check-additional-fld {
    margin-left: 5px;
    border: none;
    border-bottom: 1px solid #000;
    width: 50%;
}
.viewer-cnt {
    width: calc(50vw - 50%);
    height: calc(100vh - 150px);
    
}
.viewer-cnt-app {
    width: 100%;
    height: calc(87vh - 150px);
    
}
.fixed {
    position: fixed;
    top: 90px;
    width: calc(100vw - 60%);
    left: calc(100vw - 45%);
}
.fixed-doc {
    position: fixed;
    top: 70px;
    width: calc(100vw - 70%);
    left: calc(100vw - 45%);
}
.fixed-app {
    position: fixed;
    top: 70px;
    /*width: calc(50vw - 20%);*/
    width: 45%;
    left: calc(100vw - 50%);
}
/*@media(max-width:1600px) {
    .viewer-cnt {
        position: fixed;
        width: 30%;
        height: 500px;
        top: 120px;
        left: 65%
    }
}*/
.sortable {
    list-style-type: none;
    margin: 0;
    padding: 0;
}
.drag-block {
    margin-left: 5px;
    margin-top: 5px;
    cursor: all-scroll;
}
.dropdown-submenu > ul {
    min-width: 250px;
}
.multislct-cnt {
    height: 470px;
    overflow: auto;
    border: 2px solid #d8d8d8;
    border-radius: 5px;
}
div.tree-multiselect {
    border: none;
}
a.collapse-lnk {
    display: block;
    color: #000;
    width: 100%;
}
a.collapse-lnk:hover, a.collapse-lnk:focus {
    text-decoration: none;
}
a.collapse-lnk:after {
    float: right;
    font-weight: 700;
    font-size: 23px;
    color: #000;
    content: "\2303";
}
a.collapse-lnk.collapsed:after {
    float: right;
    font-weight: 700;
    font-size: 23px;
    color: #000;
    content: "\2304";
    position: relative;
    top: -10px;
}
#file-app-viewer, #file-app-viewer-mid {
    position: sticky;
    top: 70px;
    width: calc(50vw - 20%);
}
@media(max-width:991px) {
    #file-app-viewer, #file-app-viewer-mid {
        width: 100%;
    }
}
.copy-mes {
    background: #c6efce;
    position: fixed;
    top: 30%;
    left: 45%;
    padding: 8px;
    border: 1px solid #999;
    border-radius: 10px;
}
.hint-lnk, .hint-lnk:visited, .hint-lnk:hover {
    text-decoration: underline dashed;
}

.rnis-active {
    background-color: #37B44A;
}

.rnis-inactive {
    background-color: #dcd974;
}

.rnis-not-found {
    background-color: #FFC4C4;
}

.font-color-rnis-active {
    color: #37B44A;
}

.font-color-rnis-inactive {
   color: #dcd974;
}

.font-color-rnis-not-found {
    color: #FFC4C4;
}

.margin-btn {
    margin-top:10px;
    margin-bottom:10px;
}

.btn-loader {
    height: 44px;
}

table.text-center th {
    text-align: center;
}

.delete-type {
    padding-top: 150%;
    color:red;
    cursor:pointer;
}
.dynamic-data {
    margin-top: 10px;
    margin-bottom: 10px;
    height: 20px;
}
.viewer-checkbox {
    text-align: right;
}
.address-flds-cnt, .document-flds-cnt {
    border-bottom: 1px dashed #000;
    margin-bottom: 20px;
}
.refresh-vehicle-checked {
    position:relative;
    bottom: 40px;
    right: 10px;
}
.contract-loader {
    position: absolute;
    top: 32px;
    left: 10px;
}
.has-changes .form-control {
    border-color: #F7941D !important;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(247, 148, 29, 0.6) !important;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(247, 148, 29, 0.6) !important;
}

.select2-container--krajee .select2-results__option--highlighted[aria-selected] {
    color: #000;
}
.select2-results__option {
    padding: 3px;
}
.var-label {
    font-size: 10px;
    color: #999;
    display: block;
    margin-top: -5px;
    margin-bottom: 5px;
}
#app-add-tbl .control-label {
    font-weight: 400;
    padding-right: 0;
}

::-ms-clear {
  display: none;
}

.form-control-clear {
  z-index: 10;
  pointer-events: auto;
  cursor: pointer;
}

.date-past {
    border-color: #eee832 !important;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(238, 232, 50, 0.6) !important;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(238, 232, 50, 0.6) !important;
}

#file-app-form .has-success .control-label,
#file-app-form .has-error .control-label {
    color: #000;
}

.file-app-form-input-inline {
    display: inline;
    width: auto;
    margin-left: 5px;
}

.file-app-form-chk-margin-right {
    margin-right: 5px !important;
}

#file-app-form .date-cnt .date {
    display: inline-table;
    width: 50%;
    margin-left: 5px;
}

.select-del-item{
    margin-left: 10px;
    font-size: 16px;
    cursor: pointer;
}
.select-del-item:hover{
    color:red;
}

.select2-selection__rendered  .select-del-item {
    display: none;
}
#file-app-form .add-file-app-pass-cnt {
    position: relative;
    left: 91%;
    top: 50px;
    border: 1px solid #d6d6d6;
    border-radius: 5px;
    width: 50px;
    height: 35px;
    text-align: center;
}

#file-app-form .add-file-app-pass-cnt > a {
    width: 48px;
    height: 35px;
    font-size: 25px;
    color: #000;
    text-decoration: none;
    display: inline-block;
}

.btn:active, .btn.active {
    box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.4);
}

.nav-tabs > li.active > a, .nav-tabs > li.active > a:hover, .nav-tabs > li.active > a:focus {
    font-weight: bold;
}

tr.tr-grey,
tr.tr-grey > td > a {
    color: #999;
}

.file-caption .file-caption-name {
    color: green;
}

#app-add-tbl .has-error .btn-file {
    border-color: #a94442;
    color: #a94442;
}

.accrual-empty .not-set {
    color: #000;
}
table.table > tbody > tr > td.td-no-wrap {
    white-space: nowrap;
}
#set-payment-date-modal > .modal-dialog,
#call-id-modal > .modal-dialog {
    margin: 10% auto;
}
.warning-mes {
    background: #FFC4C4;
    position: fixed;
    top: 30%;
    left: 39%;
    padding: 8px;
    border: 1px solid #999;
    border-radius: 10px;
}
.required-black:after {
    content: "\A0*";
}
form div.black-asterisk label.control-label::after {
    color: #000;
}

a.date-expired {
    color: #FFC4C4;
}
a.date-expired:hover {
    color: #f69d9d;
}
div.stat-summary-cnt {
    width: 100%;
    background-color: #eee;
    border-radius: 10px;
    margin-top: 15px;
    padding: 5px 15px;
    margin-left: 0;
    margin-right: 0;
}
.stat-summary-val {
    font-size: 28px;
    font-weight: bold;
}
.stat-summary-lbl {
    font-size: 12px;
    color: #737373;
}
.stat-summary-deviat-positive {
    font-size: 17px;
    color: #3cb24a;
}
.stat-summary-deviat-negative {
    font-size: 20px;
    color: #e06666;
}
tr.stat-manager-header > th {
    text-align: center;
}
tr.stat-manager-header > th:first-child {
    text-align: right;
}
.months-slct {
    height: 30px;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 6px 12px;
    color: #555;
}
.full-width {
    position: relative;
    left: 50%;
    right: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
    width: 99vw;
    padding: 0 40px;
}

.history {
    display: flex;
    flex-direction: column;
    padding: 20px;    /* Отступ от краёв контейнера */
    margin: 0 auto;   /* Центрируем чат */
    border: 1px solid #999999;
    border-radius: 10px;
    max-width: 100%;
    height: 350px;
    overflow-y: auto;
}
.chat {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 20px;
    max-width: 400px;
    margin: 0 auto;
}

.message {
    display: inline-flex;
    flex-direction: column;
    max-width: 70%;
}

/* Для правых сообщений: растягиваем на всю доступную ширину */
.right {
    align-self: flex-end;
}

.message-text {
    padding: 10px 15px;
    border-radius: 10px;
}

.left .message-text {
    background-color: #dcf8c6;
    align-self: flex-start;
}
.left.tg .message-text {
    background-color: #73CDFF;
    align-self: flex-start;
}

.right .message-text {
    background-color: #ffffff;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
}

.message-time {
    font-size: 1rem;
    color: #999;
    margin-top: 4px;
    text-align: right;
}

.left .message-time {
    text-align: left;
}

span.underlined {
    text-decoration: underline;
}